%define name	desktop-file-utils	
%define version 0.10
%define release 2mdk

Name: 		%name
Summary: 	Utilities for working with desktop entries
Version: 	%version
Release: 	%release
Source: 	http://freedesktop.org/Software/desktop-file-utils/releases/%{name}-%{version}.tar.bz2
Url: 		http://freedesktop.org/Software/desktop-file-utils
Group:		Graphical desktop/Other
BUildrequires:	popt-devel glibc-static-devel 
BuildRequires:  glib2-devel
BuildRequires:  emacs-bin
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
License:	GPL

%description
desktop-file-utils contains a couple of command line utilities for working
with desktop entries. It requires GLib and popt to compile, because the
implementation requires Unicode utilities and such.

Right now the only documentation is "desktop-file-install --help".
desktop-file-validate takes a single argument, the file to validate. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure2_5x

%make

%install

%makeinstall
mkdir -p %buildroot%_sysconfdir/emacs/site-start.d/
cat > %buildroot%_sysconfdir/emacs/site-start.d/%name.el << EOF
(autoload 'desktop-entry-mode "desktop-entry-mode" "Desktop Entry mode" t)
(add-to-list 'auto-mode-alist
'("\\\\.desktop\\\\(\\\\.in\\\\)?$" . desktop-entry-mode))
(add-hook 'desktop-entry-mode-hook 'font-lock-mode)
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/emacs/site-start.d/%name.el
%{_bindir}/*
%_datadir/emacs/site-lisp/desktop-entry-mode.el*
%doc AUTHORS NEWS README ChangeLog

%changelog
* Thu Nov 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-2mdk
- fix buildrequires

* Wed Nov 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- Remove patch1 (no longer needed)

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-1mdk
- 0.9

* Tue Aug 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-4mdk
- fix emascs site-start script once and for all

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- another fix for the site-start script

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- arrgh, fix emacs sitestart script

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- add emacs lisp files
- buildrequires emacs
- New release 0.7

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- reenable libtoolize
- New release 0.6

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- don't run libtoolize
- add gnome-vfs2 stuff
- fix URL
- new version

* Tue Nov 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-4mdk
- Add patch1: fix add categorie when we have a semi-common at end of categorie string

* Sat Jul 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-4mdk
- configure2_5x macro
- buildrequires

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3-3mdk
- adjust buildrequires

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3-2mdk
- rebuild

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- initial contrib package
